### Property

# Ide CompletionContext:completion

#### Declaration

    property completion: Ide.Completion [ read, write, construct-only ]

#### Description

The “completion” is the `IdeCompletion` that was used to create the context.

Type: | `IdeCompletion`
Available since: | 3.32

Getter method | `ide_completion_context_get_completion()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes